## xfsprogs-3.2.0.tar.gz

=== libxfs/Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libxfs.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

HFILES = xfs.h init.h xfs_dir2_priv.h crc32defs.h crc32table.h
CFILES = cache.c \
	crc32.c \
	init.c kmem.c logitem.c radix-tree.c rdwr.c trans.c util.c \
	xfs_alloc.c \
	xfs_alloc_btree.c \
	xfs_attr.c \
	xfs_attr_leaf.c \
	xfs_attr_remote.c \
	xfs_bmap.c \
	xfs_bmap_btree.c \
	xfs_btree.c \
	xfs_da_btree.c \
	xfs_dir2.c \
	xfs_dir2_block.c \
	xfs_dir2_data.c \
	xfs_dir2_leaf.c \
	xfs_dir2_node.c \
	xfs_dir2_sf.c \
	xfs_dquot_buf.c \
	xfs_ialloc.c \
	xfs_inode_buf.c \
	xfs_inode_fork.c \
	xfs_ialloc_btree.c \
	xfs_log_rlimit.c \
	xfs_rtbitmap.c \
	xfs_sb.c \
	xfs_symlink_remote.c \
	xfs_trans_resv.c

CFILES += $(PKG_PLATFORM).c
PCFILES = darwin.c freebsd.c irix.c linux.c
LSRCFILES = $(shell echo $(PCFILES) | sed -e "s/$(PKG_PLATFORM).c//g")
LSRCFILES += gen_crc32table.c

#
# Tracing flags:
# -DIO_DEBUG		reads and writes of buffers
# -DMEM_DEBUG		all zone memory use
# -DLI_DEBUG		log item (ino/buf) manipulation
# -DXACT_DEBUG		transaction state changes
#
#LCFLAGS +=

FCFLAGS = -I.

LTLIBS = $(LIBPTHREAD) $(LIBRT)

# don't try linking xfs_repair with a debug libxfs.
DEBUG = -DNDEBUG

LDIRT = gen_crc32table crc32table.h crc32selftest

default: crc32selftest ltdepend $(LTLIBRARY)

crc32table.h: gen_crc32table.c
	@echo "    [CC]     gen_crc32table"
	$(Q) $(CC) $(CFLAGS) -o gen_crc32table $<
	@echo "    [GENERATE] $@"
	$(Q) ./gen_crc32table > crc32table.h

# The selftest binary will return an error if it fails. This is made a
# dependency of the build process so that we refuse to build the tools on broken
# systems/architectures. Hence we make sure that xfsprogs will never use a
# busted CRC calculation at build time and hence avoid putting bad CRCs down on
# disk.
crc32selftest: gen_crc32table.c crc32table.h crc32.c
	@echo "    [TEST]    CRC32"
	$(Q) $(CC) $(CFLAGS) -D CRC32_SELFTEST=1 crc32.c -o $@
	$(Q) ./$@

include $(BUILDRULES)

install: default

install-dev: default

install-qa: default

-include .ltdep

=== debian/changelog ===
xfsprogs (3.2.0) unstable; urgency=low

  * New upstream release
  * Add dh-autoreconf invocation (closes: #725971)

 -- Nathan Scott <nathans@debian.org>  Sat, 03 May 2014 15:59:55 +1000

xfsprogs (3.1.11) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 08 May 2013 12:59:56 -0500

xfsprogs (3.1.9) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Oct 2012 13:29:00 +1100

xfsprogs (3.1.8) unstable; urgency=low

  * New upstream release
  * Numerous xfs_repair fixes

 -- Nathan Scott <nathans@debian.org>  Mon, 19 Mar 2012 14:21:00 +1100

xfsprogs (3.1.7) unstable; urgency=low

  * New upstream release
  * Fix libreadline build dependency (closes: #553875)

 -- Nathan Scott <nathans@debian.org>  Thu, 17 Nov 2011 08:47:00 +1100

xfsprogs (3.1.6) unstable; urgency=low

  * New upstream release
  * Handle upcoming libreadline5-dev removal (closes: #553875)

 -- Nathan Scott <nathans@debian.org>  Wed, 11 Oct 2011 16:47:10 +1100

xfsprogs (3.1.5) unstable; urgency=low

  * New upstream release
  * No more xfsquota error message for non-quota mounts (closes: #618730)

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Mar 2011 09:00:00 +1100

xfsprogs (3.1.4) unstable; urgency=low

  * New upstream release (32 projid resolution, fsr uses /proc/mounts)
  * Annotate Debian packages as being team maintained now.
  * Resolve Lenny upgrade issue with xfsdump (closes: #601988, #601710)

 -- Nathan Scott <nathans@debian.org>  Tue, 09 Nov 2010 22:39:04 +1100

xfsprogs (3.1.3) unstable; urgency=low

  * New upstream release
  * Enforce building with libblkid (closes: #593320)

 -- Nathan Scott <nathans@debian.org>  Thu, 26 Aug 2010 23:06:46 +1000

xfsprogs (3.1.2) unstable; urgency=low

  * New upstream release
  * Allow for building on GNU/kFreeBSD (closes: #485796)

 -- Nathan Scott <nathans@debian.org>  Mon, 3 May 2010 14:25:43 +1100

xfsprogs (3.1.1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 28 Jan 2010 20:54:22 +1100

xfsprogs (3.1.0) unstable; urgency=low

  * New upstream release
  * Merged German translation (closes: #521389)
  * Merged German translation update (closes: #557100)
  * Uptodate po file is provided now (closes: #538962)
  * Fixed typos in xfs_quota man page (closes: #481715)
  * Tighten permissions on temp fsr files (closes: #559490)

 -- Nathan Scott <nathans@debian.org>  Thu, 10 Dec 2009 09:19:37 +1100

xfsprogs (3.0.4) unstable; urgency=low

  * New bugfix release
  * Resolve a libxfs unaligned access (closes: #517553)

 -- Nathan Scott <nathans@debian.org>  Thu, 17 Sep 2009 14:32:48 +1000

xfsprogs (3.0.2) unstable; urgency=low

  * New bugfix release

 -- Nathan Scott <nathans@debian.org>  Wed, 06 May 2009 11:29:18 +1000

xfsprogs (3.0.0-1) unstable; urgency=low

  * New upstream release (closes: #263170)
  * Remove watch file, xfsprogs is native
  * Updated dependencies as this requires xfsdump 3 also

 -- Nathan Scott <nathans@debian.org>  Wed, 28 Jan 2009 21:15:07 +1100

xfsprogs (2.10.2-1) unstable; urgency=low

  * New upstream release
  * No longer ignore -i maxpct option in mkfs.xfs (closes: #500593)
  * Correct features2 superblock field handling (closes: #473135)
  * 32 bit emulation on 64 bit kernels works (closes: #485020)
  * Fix up large sector handling in mkfs (closes: #489421)

 -- Nathan Scott <nathans@debian.org>  Sat, 20 Dec 2008 10:14:27 +1100

xfsprogs (2.9.10-1) unstable; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 05 Sep 2008 14:02:20 +1000

xfsprogs (2.9.8-1) unstable; urgency=low

  * New upstream release
  * xfsprogs and xfsprogs-udeb depend on ${misc:Depends}
  * Add Homepage control header
  * Add watch file
  * Fix the following lintian issues:
    W: xfsprogs source: package-uses-deprecated-debhelper-compat-version 1
    W: xfsprogs source: ancient-standards-version 3.5.9 (current is 3.7.3)
    W: xfslibs-dev: package-contains-empty-directory usr/share/doc/xfsprogs/

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 22 Apr 2008 13:04:05 +1000

xfsprogs (2.9.7-1) unstable; urgency=high

  * New upstream release.
  * Add -y fsck option (closes: #463810)
  * Lazy superblock counters not yet mkfs default (closes: #465737, #468184)
  * xfs_repair memory requirements significantly reduced (closes: #289665)

 -- Nathan Scott <nathans@debian.org>  Sat, 01 Mar 2008 06:24:21 +1100

xfsprogs (2.9.5-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 22 Jan 2008 16:46:18 +1100

xfsprogs (2.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 12 Jun 2007 07:22:21 +1000

xfsprogs (2.8.20-1) unstable; urgency=low

  * New upstream release (closes: #414079)
  * Fixed up autoconf version dependency (closes: #414073)

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Mar 2007 08:24:33 +1100

xfsprogs (2.8.19-1) unstable; urgency=low

  * New upstream release (closes: #409063)

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Jan 2007 08:53:32 +1100

xfsprogs (2.8.18-1) unstable; urgency=low

  * New upstream release (closes: #399888)

 -- Nathan Scott <nathans@debian.org>  Fri, 08 Dec 2006 08:30:29 +1100

xfsprogs (2.8.12-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Tue, 29 Aug 2006 14:28:05 +1000

xfsprogs (2.8.11-1) unstable; urgency=low

  * New upstream release.
  * More efficient use of buffer cache memory (closes: #382935)

 -- Nathan Scott <nathans@debian.org>  Tue, 08 Aug 2006 17:06:58 +1000

xfsprogs (2.8.10-1) unstable; urgency=low

  * New upstream release.

 -- Nathan Scott <nathans@debian.org>  Wed, 02 Aug 2006 11:17:07 +1000

xfsprogs (2.8.4-1) unstable; urgency=low

  * New upstream release.
  * Improved udeb packaging, thanks to Frans Pop (closes: #375439)
  * Fix filesystem-from-path detection logic (closes: #374687)



=== debian/control ===
Source: xfsprogs
Section: admin
Priority: optional
Maintainer: XFS Development Team <xfs@oss.sgi.com>
Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline-gplv2-dev | libreadline5-dev, libblkid-dev (>= 2.17), linux-libc-dev, autotools-dev
Standards-Version: 3.9.1
Homepage: http://oss.sgi.com/projects/xfs/

Package: xfsprogs
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: fsck-backend
Suggests: xfsdump, acl, attr, quota
Breaks: xfsdump (<< 3.0.0)
Replaces: xfsdump (<< 3.0.0)
Architecture: any
Description: Utilities for managing the XFS filesystem
 A set of commands to use the XFS filesystem, including mkfs.xfs.
 .
 XFS is a high performance journaling filesystem which originated
 on the SGI IRIX platform.  It is completely multi-threaded, can
 support large files and large filesystems, extended attributes,
 variable block sizes, is extent based, and makes extensive use of
 Btrees (directories, extents, free space) to aid both performance
 and scalability.
 .
 Refer to the documentation at http://oss.sgi.com/projects/xfs/
 for complete details.

Package: xfslibs-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, uuid-dev, xfsprogs (>= 3.0.0), ${misc:Depends}
Breaks: xfsprogs (<< 3.0.0)
Architecture: any
Description: XFS filesystem-specific static libraries and headers
 xfslibs-dev contains the libraries and header files needed to
 develop XFS filesystem-specific programs.
 .
 XFS is a high performance journaling filesystem which originated
 on the SGI IRIX platform.  It is completely multi-threaded, can
 support large files and large filesystems, extended attributes,
 variable block sizes, is extent based, and makes extensive use of
 Btrees (directories, extents, free space) to aid both performance
 and scalability.
 .
 Refer to the documentation at http://oss.sgi.com/projects/xfs/
 for complete details.

Package: xfsprogs-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A stripped-down version of xfsprogs, for debian-installer
 This package is an xfsprogs package built for reduced size, so that it
 can help to save space in debian-installer.
 .
 Don't attempt to install this package, it has no support for a couple of
 features you surely want.  Anyway, it should fail to install.
